Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023634
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-04-25 10:572013-06-04 10:53
ReporteradrianromeroView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP23
StatusclosedFix in branchFixed in SCM revisioncf363fdd73b5
ProjectionnoneETAnoneTarget VersionRMP23
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP21SCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023634: Currency symbol in remaining to pay is always after the figures

DescriptionWhen going to the payment panel in Web POS, the remaining to pay amount has always the currency symbol after the figures, and cannot be configured

Steps To ReproduceIn description
TagsNo tags attached.
Attached Filespng file icon 00000880.png [^] (11,529 bytes) 2013-04-25 10:57

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0058696)
hgbot (developer)
2013-05-20 12:54

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: cf363fdd73b5e5733e94f7c303f34c57722809e7
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon May 20 12:54:46 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cf363fdd73b5e5733e94f7c303f34c57722809e7 [^]

Fixed issue 23634. Currency symbol will show in the appropriate place depending on the currency configuration.

---
M src/org/openbravo/retail/posterminal/term/Payments.java
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0058697)
hgbot (developer)
2013-05-20 12:56

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: d76dc8188211b4633902cc66cd75d4434a433cb8
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon May 20 12:55:21 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/d76dc8188211b4633902cc66cd75d4434a433cb8 [^]

Fixed issue 23634. Added utility method to format the currency with the symbol

---
M web/org.openbravo.mobile.core/source/utils/ob-i18n.js
---
(0058866)
hgbot (developer)
2013-05-23 07:52

Repository: erp/pmods/org.openbravo.retail.posterminal.ch
Changeset: cf363fdd73b5e5733e94f7c303f34c57722809e7
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon May 20 12:54:46 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.ch/rev/cf363fdd73b5e5733e94f7c303f34c57722809e7 [^]

Fixed issue 23634. Currency symbol will show in the appropriate place depending on the currency configuration.

---
M src/org/openbravo/retail/posterminal/term/Payments.java
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0058880)
hgbot (developer)
2013-05-23 07:56

Repository: erp/pmods/org.openbravo.mobile.core.ch
Changeset: d76dc8188211b4633902cc66cd75d4434a433cb8
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon May 20 12:55:21 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.ch/rev/d76dc8188211b4633902cc66cd75d4434a433cb8 [^]

Fixed issue 23634. Added utility method to format the currency with the symbol

---
M web/org.openbravo.mobile.core/source/utils/ob-i18n.js
---
(0058929)
migueldejuana (developer)
2013-05-24 10:47

Testted and reviewed in 2c937f978d56
(0059028)
hgbot (developer)
2013-05-29 12:19

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: cf363fdd73b5e5733e94f7c303f34c57722809e7
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon May 20 12:54:46 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/cf363fdd73b5e5733e94f7c303f34c57722809e7 [^]

Fixed issue 23634. Currency symbol will show in the appropriate place depending on the currency configuration.

---
M src/org/openbravo/retail/posterminal/term/Payments.java
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0059051)
hgbot (developer)
2013-05-29 18:03

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0144b86b24a4a9f40d22eddb8ea9809dd150268c
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed May 29 18:03:17 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0144b86b24a4a9f40d22eddb8ea9809dd150268c [^]

Related to issue 23634. Fixed small typo in variable name

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0059052)
guilleaer (developer)
2013-05-29 18:45

tested and verified. To be included in RMP23
(0059149)
hgbot (developer)
2013-06-04 10:53

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 0144b86b24a4a9f40d22eddb8ea9809dd150268c
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed May 29 18:03:17 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/0144b86b24a4a9f40d22eddb8ea9809dd150268c [^]

Related to issue 23634. Fixed small typo in variable name

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---

- Issue History
Date Modified Username Field Change
2013-04-25 10:57 adrianromero New Issue
2013-04-25 10:57 adrianromero Assigned To => migueldejuana
2013-04-25 10:57 adrianromero File Added: 00000880.png
2013-05-20 12:54 hgbot Checkin
2013-05-20 12:54 hgbot Note Added: 0058696
2013-05-20 12:54 hgbot Status new => resolved
2013-05-20 12:54 hgbot Resolution open => fixed
2013-05-20 12:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cf363fdd73b5e5733e94f7c303f34c57722809e7 [^]
2013-05-20 12:55 marvintm Assigned To migueldejuana => marvintm
2013-05-20 12:56 hgbot Checkin
2013-05-20 12:56 hgbot Note Added: 0058697
2013-05-20 12:56 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cf363fdd73b5e5733e94f7c303f34c57722809e7 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/d76dc8188211b4633902cc66cd75d4434a433cb8 [^]
2013-05-23 07:52 hgbot Checkin
2013-05-23 07:52 hgbot Note Added: 0058866
2013-05-23 07:52 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/d76dc8188211b4633902cc66cd75d4434a433cb8 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.ch/rev/cf363fdd73b5e5733e94f7c303f34c57722809e7 [^]
2013-05-23 07:56 hgbot Checkin
2013-05-23 07:56 hgbot Note Added: 0058880
2013-05-23 07:56 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.ch/rev/cf363fdd73b5e5733e94f7c303f34c57722809e7 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.ch/rev/d76dc8188211b4633902cc66cd75d4434a433cb8 [^]
2013-05-24 10:47 migueldejuana Review Assigned To => migueldejuana
2013-05-24 10:47 migueldejuana Note Added: 0058929
2013-05-24 10:47 migueldejuana Status resolved => closed
2013-05-24 10:47 migueldejuana Fixed in Version => RMP23
2013-05-29 12:19 hgbot Checkin
2013-05-29 12:19 hgbot Note Added: 0059028
2013-05-29 12:19 hgbot Status closed => resolved
2013-05-29 12:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.ch/rev/d76dc8188211b4633902cc66cd75d4434a433cb8 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/cf363fdd73b5e5733e94f7c303f34c57722809e7 [^]
2013-05-29 18:03 hgbot Checkin
2013-05-29 18:03 hgbot Note Added: 0059051
2013-05-29 18:45 guilleaer Review Assigned To migueldejuana => guilleaer
2013-05-29 18:45 guilleaer Note Added: 0059052
2013-05-29 18:45 guilleaer Status resolved => closed
2013-06-04 10:53 hgbot Checkin
2013-06-04 10:53 hgbot Note Added: 0059149


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker